<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Str;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Str::macro('currency', static function ($price) {
            return sprintf('%s €', number_format($price, 0, ',', ' '));
        });

        Str::macro('surface', static function ($surface) {
            if (empty($surface)) {
                return '';
            }
            return sprintf('%s m²', number_format($surface, 0, ',', ' '));
        });
    }
}
