/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

$("#fetch").on('click', function (evt) {
    evt.preventDefault();
    axios.post("/ajax/fetch", {
        url: $("#url").val()
    })
        .then(function(response) {
            let data = response.data;
            console.log(data);
            for (let i in data) {
                if (i === "map") {
                    $("#lat").val(data["map"]["lat"]);
                    $("#lng").val(data["map"]["lng"]);
                } else if (i === "pictures") {
                    $("#photo-wrapper").append(data[i].length + " photos trouvées.");
                    for (let j = 0, nb_photos = data[i].length; j < nb_photos; j++) {
                        $("#photo-wrapper").append("" +
                            "<input type='hidden' name='pictures[]' value='"+data[i][j]+"'>"
                        )
                    }
                } else {
                    $("#"+i).val(data[i]);
                }
            }
        })
        .catch(function (error) {
            console.log(error);
        })
});

// window.Vue = require('vue');

/**
 * The following block of code may be used to automatically register your
 * Vue components. It will recursively scan this directory for the Vue
 * components and automatically register them with their "basename".
 *
 * Eg. ./components/ExampleComponent.vue -> <example-component></example-component>
 */

// const files = require.context('./', true, /\.vue$/i)
// files.keys().map(key => Vue.component(key.split('/').pop().split('.')[0], files(key).default))

// Vue.component('example-component', require('./components/ExampleComponent.vue').default);

/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

// const app = new Vue({
//     el: '#app',
// });
