@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('Dashboard') }}</div>

                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif
                        <form method="post">
                            @csrf
                            <div class="row">
                                <div class="form-group mx-sm-3 mb-2">
                                    <label for="url" class="sr-only">URL</label>
                                    <input type="text" name="url" class="form-control" id="url" placeholder="URL">
                                </div>
                                <button type="submit" class="btn btn-primary mb-2" id="fetch">Va chercher les éléments</button>
                            </div>
                            <div class="form-group">
                                <label for="title">Titre</label>
                                <input type="text" class="form-control" name="title" id="title">
                                <input type="hidden" name="map[lat]" id="lat">
                                <input type="hidden" name="map[lng]" id="lng">
                            </div>
                            <div class="form-group">
                                <label for="description">Description</label>
                                <textarea class="form-control" name="description" id="description" rows="6"></textarea>
                            </div>
                            <div class="form-group">
                                <label for="comment">Mon commentaire</label>
                                <textarea class="form-control" name="comment" id="comment" rows="3"></textarea>
                            </div>
                            <div class="form-group" id="photo-wrapper"></div>
                            <div class="row">
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label for="city">Ville</label>
                                        <input type="text" class="form-control" name="city" id="city">
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label for="price">Prix</label>
                                        <input type="number" class="form-control" name="price" id="price">
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label for="surface">Surface</label>
                                        <input type="number" class="form-control" id="surface" name="surface">
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label for="garden_surface">Surface de jardin</label>
                                        <input type="number" class="form-control" id="garden_surface" name="garden_surface">
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label for="rooms">Nombre de pièces</label>
                                        <input type="number" class="form-control" id="rooms" name="rooms">
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label for="energy">Énergie</label>
                                        <select class="form-control" id="energy" name="energy">
                                            <option>A</option>
                                            <option>B</option>
                                            <option>C</option>
                                            <option>D</option>
                                            <option>E</option>
                                            <option>F</option>
                                            <option>G</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label for="ges">GES</label>
                                        <select class="form-control" id="ges" name="ges">
                                            <option>A</option>
                                            <option>B</option>
                                            <option>C</option>
                                            <option>D</option>
                                            <option>E</option>
                                            <option>F</option>
                                            <option>G</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <fieldset class="form-group row">
                                        <legend class="col-form-label col-sm-6 pt-0">URL publique</legend>

                                        <div class="col-sm-3">
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="slug" id="slug-non" value="" checked>
                                                <label class="form-check-label" for="slug-non">Non</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="slug" id="slug-oui" value="{{ \Illuminate\Support\Str::uuid() }}">
                                                <label class="form-check-label" for="slug-oui">Oui</label>
                                            </div>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-lg-4">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
